## uclmmbase 1.2.16.0

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for the common code library project documentation. 
# This probably requires GNU make.
#

MODULE=uclmmbase
SGML_TOPLEVEL=$(MODULE)-driver.sgml

CODE_DIR=../src
CODE_SRCS=$(CODE_DIR)/*.c $(CODE_DIR)/*.h

html: sgml $(SGML_TOPLEVEL)
	-cd html && gtkdoc-mkhtml $(MODULE) ../$(SGML_TOPLEVEL)

sgml: tmpl
	gtkdoc-mkdb --module=$(MODULE) --source-dir=$(CODE_DIR)

tmpl: scan
	gtkdoc-mktmpl --module=$(MODULE)

scan: $(CODE_SRCS)
	gtkdoc-scan --module=$(MODULE) --source-dir=$(CODE_DIR)

clean:
	-rm -f *.bak sgml/*.bak *unused.txt

distclean: clean
	-rm -f $(MODULE)-decl-list.txt $(MODULE)-decl.txt Makefile
	-rm -rf sgml/*

.PHONY: html sgml tmpl clean distclean

=== examples/sap/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for the SAP example.
# This probably requires GNU make.
#

# Location of includes and library
CSRC   = ../../src

# Library name
LNAME  = uclmmbase

DEFS   = -DHAVE_CONFIG_H
CFLAGS = -g -O2 -W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Werror $(DEFS) -I$(CSRC)
LIBS   = -lnsl -lsocket -L$(CSRC) -l$(LNAME)
CC     = gcc

TARGET = sapdemo
OBJS   = sapdemo.o
SRCS   = $(OBJS:%.o=%.c)

all: $(TARGET)

sapdemo: $(OBJS) $(CSRC)/lib$(LNAME).a
	 $(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

.c.o:
	$(CC) $(CFLAGS) $(INC) -c $<

$(CSRC)/lib$(LNAME).a:
	cd $(CSRC) && $(MAKE)

clean:
	-rm -f $(OBJS) $(TARGET)

distclean: clean
	-rm -f Makefile

=== examples/sdp/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for the SDP example.
# This probably requires GNU make.
#

# Location of includes and library
CSRC   = ../../src

# Library name
LNAME  = uclmmbase

DEFS   = -DHAVE_CONFIG_H
CFLAGS = -g -W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Werror $(DEFS) -I$(CSRC)
LIBS   = -lnsl -lsocket -L$(CSRC) -l$(LNAME)
CC     = gcc

TARGET = sdpdemo
OBJS   = sdpdemo.o
SRCS   = $(OBJS:%.o=%.c)

all: $(TARGET)

sdpdemo: $(OBJS) $(CSRC)/lib$(LNAME).a
	 $(CC) $(CFLAGS) -o $@ $(@).o $(LIBS)

.c.o:
	$(CC) $(CFLAGS) $(INC) -c $<

$(CSRC)/lib$(LNAME).a:
	cd $(CSRC) && $(MAKE)

clean:
	-rm -f $(OBJS) $(TARGET)

distclean: clean
	-rm -f Makefile

=== debian/changelog ===
uclmmbase (1.2.16.0-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #845287)
  * Switch to source format 3.0 (quilt).
  * Switch to debhelper compat level 9 and minimal dh rules with
    autotools-dev.  (Closes: #817704, #833201, #531964)
  * Do not install unavailable documentation.  (Closes: #821893)
  * Fix FTBFS on GNU/Hurd, thanks to Svante Signell.  (Closes: #805008)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Dec 2016 14:08:59 +0100

uclmmbase (1.2.16.0-1) unstable; urgency=low

  * I remade the tar.gz without CVS/ and .cvsignore files, thus avoiding
    several lintian warnings. Apart from that there are no changes.
  * Altered an old entry in the changelog with a e-mail address that was never
    supposed to go there. It is like rewriting history. :-)
  * Updated config.guess and config.sub in order to compile uclmmbase in
    GNU/kFreeBSD. Thanks, Petr Salinger (closes: #342445).
  * Bumped debhelper version to 4 and moved to debian/compat. More lintian
    warnings gone...
  * Bumped Standards-Version to 3.6.2.2...only one warning left.
  * And commented out last line in debian/changelog in order to kill the last
    lintian warning.

 -- David Martínez Moreno <ender@debian.org>  Thu, 16 Feb 2006 00:49:49 +0100

uclmmbase (1.2.16-1) unstable; urgency=low

  * New upstream release (closes: #194188, #239447).

 -- David Martínez Moreno <ender@debian.org>  Wed,  6 Oct 2004 15:04:40 +0200

uclmmbase (1.2.12-3) unstable; urgency=low

  * I discovered that I'm not following 10.2 chapter of Debian Policy, i.e.,
    the library is not being compiled with -fPIC for the shared object and
    without that for the static one. Also I was not using -D_REENTRANT,
    mandatory as well.
  * The library was skipping some setsockopt(SO_(SND|RV)BUF|), so patched
    net_udp.c for fixing a badly placed "return NULL". Derfel, many thanks!
    (closes: #242315).
  * Derfel, please review my changes for #191068. I think that now every
    important header file is protected with the C++ macro. This closes:
    #191068.

 -- David Martínez Moreno <ender@debian.org>  Tue,  6 Apr 2004 14:36:16 +0200

uclmmbase (1.2.12-2) unstable; urgency=low

  * Accepted NMU (closes: #205246). Thanks, Guus.
  * Bumped to Policy 3.6.1. Converted several debian/ files to UTF-8.
  * acconfig.h belongs to autoheader, and it's used to generate config.h.in.
    Removed file (thanks to Federico 'Derfel' Stella) (closes: #191067).
  * debian/control: Depends on debhelper >= 4.0.16 which is the version with
    -X support for dh_movefiles.

 -- David Martínez Moreno <ender@debian.org>  Mon, 13 Oct 2003 18:55:35 +0200

uclmmbase (1.2.12-1.1) unstable; urgency=low

  * Non-maintainer upload. BSP.
  * Update standards version.
  * Fix declaration of inet_ntop. Closes: #205246

 -- Guus Sliepen <guus@debian.org>  Tue, 26 Aug 2003 17:23:44 +0200

uclmmbase (1.2.12-1) unstable; urgency=low

  * New upstream release.
  * Updated config.guess and config.sub to the latest versions.
  * Fixed many DOS line returns in src/rijndael-alg-fst.c.
  * Added MODS as upstream changelog file.
  * Bumped Standards-Version to 3.5.8.

 -- David Martínez Moreno <ender@debian.org>  Mon, 27 Jan 2003 01:59:33 +0100

uclmmbase (1.2.11-2) unstable; urgency=low

  * debian/rules: Because of a typo, IPv6 support wasn't really being compiled
    in. Thanks, Zyk (closes: #147121).
  * This brought up a hidden typo in src/net_udp.c. Fixed.
  * Enhanced the doc/Makefile.in in order to clean the final diff.gz.

 -- David Martínez Moreno <ender@debian.org>  Fri, 17 May 2002 17:58:04 +0200

uclmmbase (1.2.11-1) unstable; urgency=low

  * New upstream release.
  * Updated config.guess and config.sub to the latest versions.

 -- David Martínez Moreno <ender@debian.org>  Tue, 30 Apr 2002 21:40:43 +0200

uclmmbase (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer.
  * Now uclmmbase honors DEB_BUILD_OPTIONS.
  * Updated config.guess and config.sub .
  * Cleaned up debian/rules in order to use DH v3.
  * Fixed lintian warnings and errors about ldconfig being called
    in wrong cases.
  * Fixed other many things.
  * Other things will have to wait, for example, a lot of warnings
    during the build.

 -- David Martínez Moreno <ender@debian.org>  Sat,  1 Dec 2001 04:18:32 +0100

uclmmbase (1.2.8-3) unstable; urgency=low

  * Modified src/config.h.in and configure.in/configure because
    HAVE_INET_NTOP was not defined even if the test was succesful. This
    failed in ia64, but not in other targets, I donno why.
    (Closes: #105143, #104345).

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Fri, 10 Aug 2001 02:31:24 +0200

uclmmbase (1.2.8-2) unstable; urgency=low

  * Use `cat VERSION` in debian/rules, instead of number of version

  * Dropped "-Werror", which causes problems due to libc6-dev in some archs
    (Closes: #100047).

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Fri,  8 Jun 2001 14:21:48 +0200

uclmmbase (1.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Wed,  6 Jun 2001 16:11:03 +0200

uclmmbase (1.2.5-2) unstable; urgency=low

  * Included some missing .h files in libuclmmbase1-dev.files
    (thx to David Martínez).

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Wed,  6 Jun 2001 12:12:05 +0200

uclmmbase (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Added documentation in -dev package (sources are now commented using
    gtkdoc).
  * Added Build-Depends on gtk-doc-tools for building documentation.
  * Configured with IPv6 support (not tested).
  
 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Mon, 16 Apr 2001 17:35:51 +0200

uclmmbase (1.2.0-1) unstable; urgency=low

  * Newer upstream version.
  * New maintainer (Closes: #88202).
  * Changed name to uclmmbase, trying to follow the name given to the 
    library by the upstream authors.
  


=== debian/control ===
Source: uclmmbase
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 gtk-doc-tools,
Standards-Version: 3.6.2.2

Package: libuclmmbase1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libmbonecommon, libucl-common
Provides: libuclmmbase, libmbonecommon, libucl-common
Conflicts: libuclmmbase, libmbonecommon, libucl-common
Description: UCL Common Code (Multimedia) Library
 Routines common to a number of multimedia tools. This library is required
 to build RAT v3.2.7 or later, SDR, and may be needed for other UCL tools.
 .
 Shared library.

Package: libuclmmbase1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libuclmmbase1 (= ${binary:Version}), libc6-dev
Replaces: libmbonecommon-dev, libucl-common-dev
Provides: libuclmmbase-dev, libmbonecommon-dev, libucl-common-dev
Conflicts: libuclmmbase-dev, libumbonecommon-dev, libucl-common-dev
Description: UCL Common Code (Multimedia) Library - development
 Routines common to a number of multimedia tools. This library is required
 to build RAT v3.2.7 or later, SDR, and may be needed for other UCL tools.
 .
 Header files and static library.

=== debian/rules ===
#!/usr/bin/make -f

version=$(shell expr `cat VERSION`)

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-ipv6

override_dh_auto_install:
	install -d `pwd`/debian/tmp/usr/include/uclmmbase
	install -d `pwd`/debian/tmp/usr/lib
	install -m 644 src/*.h `pwd`/debian/tmp/usr/include/uclmmbase
	install -m 644 src/libuclmmbase.a `pwd`/debian/tmp/usr/lib
	install -m 644 src/libuclmmbase.so.* `pwd`/debian/tmp/usr/lib
	cd `pwd`/debian/tmp/usr/lib && ln -s libuclmmbase.so.$(version) libuclmmbase.so.1
	cd `pwd`/debian/tmp/usr/lib && ln -s libuclmmbase.so.$(version) libuclmmbase.so

override_dh_installchangelogs:
	dh_installchangelogs MODS

override_dh_install:
	dh_install -Xacconfig.h
